CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
TransportControlsUI Class Reference

Class to provide support for transport controls (used for paging back and forth through a list) in the user interface. More...

Inheritance diagram for TransportControlsUI:
[legend]
Collaboration diagram for TransportControlsUI:
[legend]

## Public Member Functions
| PrintControls ($ItemType, $BaseLink, $Message="")
| Print transport control HTML. More...
Public Member Functions inherited from TransportControlsUI_Base
| __construct ($ItemTypes, $ItemsPerPage=10)
| Class constructor. More...
| ItemsPerPage ($NewValue=NULL)
| Get/set maximum number of items per page. More...
| ItemCount ($ItemCounts=NULL)
| Get/set count of items in search results. More...
| StartingIndex ($NewValue=NULL)
| Get/set current starting index values. More...
| SortField ($NewValue=NULL)
| Get/set ID of field(s) currently used for sorting. More...
| ActiveTab ($NewValue=NULL)
| Get/set the active tab value (usually an item type). More...
| ReverseSortFlag ($NewValue=NULL)
| Get/set whether to reverse the sort order from normal. More...
| UrlParameterString ($EncodeSeparators=TRUE, $ExcludeParameters=NULL)
| Get string containing URL parameters, ready for inclusion in URL. More...
| ItemTypeNames ($Names=NULL)
| Get/set printable names for item types. More...
| SetItemType ($ItemType)
| Set current item type for Show or Link methods. More...
| SetBaseLink ($BaseLink)
| Set current base link for Link methods. More...
| ShowAnyForwardButtons ()
| Report whether any forward buttons should be displayed. More...
| ShowAnyReverseButtons ()
| Report whether any reverse buttons should be displayed. More...
| ShowForwardButton ()
| Report whether forward button should be displayed. More...
| ShowReverseButton ()
| Report whether reverse button should be displayed. More...
| ShowFastForwardButton ()
| Report whether fast forward button should be displayed. More...
| ShowFastReverseButton ()
| Report whether fast reverse button should be displayed. More...
| ForwardLink ()
| Get link for forward button. More...
| ReverseLink ()
| Get link for reverse button. More...
| FastForwardLink ()
| Get link for fast forward button. More...
| FastReverseLink ()
| Get link for fast reverse button. More...
| GoToEndLink ()
| Get link for button to go to end. More...
| GoToStartLink ()
| Get link for button to go to start. More...

## Public Attributes
const | PNAME_REVERSESORT = "RS"
const | PNAME_SORTFIELD = "SF"
const | PNAME_STARTINGINDEX = "SI"
const | PNAME_ACTIVETAB = "AT"
Public Attributes inherited from TransportControlsUI_Base
const | NO_ITEM_TYPE = PHP_INT_MAX
| Constant to use when no item types available. More...

## Additional Inherited Members
Static Public Member Functions inherited from TransportControlsUI_Base
static | DefaultSortField ($NewValue=NULL)
| Get/set default sort field value. More...
static | DefaultActiveTab ($NewValue=NULL)
| Get/set the default active tab value (usually an item type). More...
Protected Member Functions inherited from TransportControlsUI_Base
| FastDistance ()
| Get distance to jump for fast forward/reverse. More...
| GetLinkWithStartingIndex ($StartingIndex)
| Generate link with specified modified starting index. More...
| IsValidField ($Field, $ItemType)
| Check whether specified field looks valid for specified item type. More...
Protected Attributes inherited from TransportControlsUI_Base
| $ActiveTab
| $CurrentBaseLink
| $CurrentItemType
| $ItemCounts
| $ItemsPerPage
| $ItemTypeNames
| $ItemTypes
| $LastPageStartIndexes
| $ReverseSortFlags
| $SortFields
| $StartingIndexes
Static Protected Attributes inherited from TransportControlsUI_Base
static | $DefaultActiveTab = MetadataSchema::SCHEMAID_DEFAULT
static | $DefaultSortField = "R"

## Detailed Description

Class to provide support for transport controls (used for paging back and forth through a list) in the user interface.

This is a child class, that provides just the constants defining the $_GET variable names for values and the method that actually prints the HTML for the controls. The intent is to provide the ability to customize that HTML by replacing just this child class in a different (custom, active) interface.

Definition at line 18 of file TransportControlsUI.php.

## Member Function Documentation

TransportControlsUI::PrintControls | ( |  | $ItemType,
|  |  | $BaseLink,
|  |  | $Message = `""`
| ) |  |

Print transport control HTML.

Parameters

  int | $ItemType | ID of type of item that controls are for.
  string | $BaseLink | Base URL for links.
  string | $Message | Text to display between transport buttons. (May contain HTML.) (OPTIONAL)

Definition at line 35 of file TransportControlsUI.php.

References TransportControlsUI_Base\ItemTypeNames(), PHP, StdLib\Pluralize(), TransportControlsUI_Base\SetBaseLink(), TransportControlsUI_Base\SetItemType(), TransportControlsUI_Base\ShowAnyForwardButtons(), TransportControlsUI_Base\ShowAnyReverseButtons(), TransportControlsUI_Base\ShowFastForwardButton(), TransportControlsUI_Base\ShowFastReverseButton(), TransportControlsUI_Base\ShowForwardButton(), and TransportControlsUI_Base\ShowReverseButton().

## Member Data Documentation

const TransportControlsUI::PNAME_ACTIVETAB = "AT"

Definition at line 26 of file TransportControlsUI.php.

const TransportControlsUI::PNAME_REVERSESORT = "RS"

Definition at line 23 of file TransportControlsUI.php.

const TransportControlsUI::PNAME_SORTFIELD = "SF"

Definition at line 24 of file TransportControlsUI.php.

const TransportControlsUI::PNAME_STARTINGINDEX = "SI"

Definition at line 25 of file TransportControlsUI.php.

The documentation for this class was generated from the following file:

- interface/default/objects/TransportControlsUI.php